Додатки для iOS

Як зробити джейлбрейк пристроїв A7-A11 з iOS 14.6-14.8.1 за допомогою інструменту checkra1n

Як зробити джейлбрейк пристроїв A7-A11 з iOS 14.6-14.8.1 за допомогою інструменту checkra1n

Джейлбрейк-інструмент checkra1n вийшов два роки тому і ще актуальний, оскільки його експлойт не виправити системним оновленням. Експлойт є актуальним для пристроїв A7-A11 (аж до iPhone X).

Офіційно інструмент checkra1n підтримує лише версії до iOS та iPadOS 14.5.1, але за його допомогою можна зробити джейлбрейк та інші версії системи. Ви можете використовувати інструмент для джейлбрейку iOS 14.6-14.8.1 на пристроях A7-A11. Нижче ми розповімо, як це зробити.

Джейлбрейк непідтримуваних версій iOS та iPadOS за допомогою checkra1n

За допомогою інструменту checkra1n можна зламати практично будь-яку версію iOS та iPadOS, якщо вона стоїть на підтримуваному пристрої. Це устрою з процесорами A7-A11, тобто. від iPhone 5s до iPhone X. Навіть Apple TV можна зламати за допомогою інструменту checkra1n.

Однак ми не просто так пишемо “практично все”, а не всі версії iOS та iPadOS. На даний момент checkra1n 0.12.4 – остання доступна версія інструменту. Офіційно вона підтримує версії iOS та iPadOS 12.0-14.5.1. Проте з її допомогою можна зламати інші версії системи. Наприклад, iOS 14.8.

Як? При підключенні до комп’ютера підтримуваного пристрою з непідтримуваною версією системи checkra1n розпізнає пристрій, але відобразить повідомлення про те, що він не підтримується. Виглядає це приблизно так:

Sorry-checkra1n-unsupported-at-this-time-768×557

У такому разі слід натиснути кнопку Options і поставити галочку поруч із опцією «Allow untested iOS/iPadOS/tvOS versions»:

checkra1n-allow-untested-iOS-versions-768×557

Важливо: Якщо у вас пристрій A11 (iPhone8/8 Plus або iPhone X), вам слід включити ще й опцію «Skip A11 BPR check». Важливо відзначити, що після джейлбрейку цих пристроїв з iOS 14 на них не працює біометрична автентифікація. На щастя, джейлбрейк-твік lockdown здатний її замінити.

На головному інтерфейсі інструмента має відображатися приблизно таке повідомлення: iPhone X (iOS 14.8) connected in Normal mode. WARNING: iPhone X on iOS 14.8 є лише partially supported, continue at your own risk»:

Варто знати  Програма Apple TV у iOS 16 та macOS Ventura не отримає підтримку HDR 10+

checkra1n-warning-partially-supported-768×557

Тепер ви можете як завжди зробити джейлбрейк свого пристрою. Звичайно ж, на свій страх та ризик. Працювати джейлбрейк має нормально, принаймні у версіях iOS та iPadOS 14.8.

Чому “практично всі” версії, а не всі?

Виходить, що за допомогою інструмента checkra1n легко можна зламати нові версії системи, не чекаючи виходу його оновлення. То чому ж «практично все», а чи не все?

На пристроях з iOS 15 джейлбрейк checkra1n поки що працює погано. У цій версії з’явилися нові обмеження. Хоча оновлення не виправило експлойт інструменту, воно заважає іншим елементам джейлбрейка. Саме тому інструмент потрібно оновлювати під iOS 15.

Відомо, що робота над підтримкою iOS 15 та iPadOS 15 вже триває. Однак поки що не зрозуміло, коли вийде нова версія інструменту.

Так що ми радимо використовувати описаний вище спосіб тільки для пристроїв з iOS і iPadOS 14.6-14.8.1.

Що робити, якщо у вас є iOS 15 або iPadOS 15?

Якщо на вашому пристрої A7-A11 стоїть версія iOS 15 або iPadOS 15, то поки що інструмент checkra1n його не підтримує.

Це не пов’язано з тим, що оновлення виправило експлойт інструменту. Порушено роботу інших елементів. Команда розробників повинна трохи змінити логіку інструменту, щоб він почав підтримувати iOS 15.

Вам варто набратися терпіння та уникати наступних системних оновлень.

У майбутньому джейлбрейк checkra1n почне підтримувати пристрої A7-A11 з iOS 15 та iPadOS 15. Також є ймовірність, що ще раніше вийде інший джейлбрейк-інструмент для цих версій.

Підписуйтесь на наш телеграм-канал, щоб не пропускати новини!

Підписатися
Сповістити про
guest
0 Коментарі
Вбудовані Відгуки
Переглянути всі коментарі